Bug 573999 (CVE-2010-0829) - CVE-2010-0829 tetex, dvipng: Multiple array index errors during DVI-to-PNG translation
Summary: CVE-2010-0829 tetex, dvipng: Multiple array index errors during DVI-to-PNG tr...
Status: CLOSED ERRATA
Alias: CVE-2010-0829
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=vendor-sec,reported...
Keywords: Security
Depends On: 577328 577329 585191 589607
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 11:55 UTC by Jan Lieskovsky
Modified: 2015-08-22 06:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 06:19:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch by Jan-Ake (4.81 KB, patch)
2010-03-19 10:50 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Jan Lieskovsky 2010-03-16 11:55:05 UTC
Dan Rosenberg reported multiple instances of an array index
error in the way TeX text formatting system translated
typesetter-independent .dvi (DeVice Independent) files into
their Portable Network Graphics (PNG) alternatives. If a user
was tricked into translation of a specially-crafted DVI file(s)
into its PNG equivalent(s), it could lead to dvipng executable crash.

Comment 6 Jan Lieskovsky 2010-03-16 16:06:29 UTC
These issues did NOT affect the versions of the tetex package,
as shipped with Red Hat Enterprise Linux 3 and 4.

These issues affect the version of the tetex package, as shipped
with Red Hat Enterprise Linux 5.

These issues affect the versions of the dvipng package, as shipped
with Fedora release of 11 and 12.

Comment 7 Jan Lieskovsky 2010-03-19 10:50:58 UTC
Created attachment 401221 [details]
Proposed patch by Jan-Ake

Comment 10 Jan Lieskovsky 2010-05-06 14:33:23 UTC
Public via:
  [1] http://www.ubuntu.com/usn/USN-936-1

Comment 12 errata-xmlrpc 2010-05-06 19:09:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html

Comment 13 Fedora Update System 2010-05-08 20:51:00 UTC
dvipng-1.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dvipng-1.13-1.fc11

Comment 14 Fedora Update System 2010-05-08 20:51:00 UTC
dvipng-1.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dvipng-1.13-1.fc12

Comment 15 Fedora Update System 2010-05-08 20:51:05 UTC
dvipng-1.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dvipng-1.13-1.fc13

Comment 16 Fedora Update System 2010-05-18 21:53:54 UTC
dvipng-1.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-18 21:57:08 UTC
dvipng-1.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-18 21:58:04 UTC
dvipng-1.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.